#include <stdio.h>

struct punto {
    int x;
    int y;
};

struct rettangolocoloratoepesato{
    int colore;
    double peso;
    struct punto bottomleft, topright;
};

struct punto sommapunti(struct punto a, struct punto b)
{
    a.x += b.x;
    a.y += b.y;
    return a;
}

int area(struct rettangolocoloratoepesato rett)
{
	return (rett.topright.x - rett.bottomleft.x) * (rett.topright.y - rett.bottomleft.y);
}

void stamparettangolo(struct rettangolocoloratoepesato rett)
{
	printf("Colore: %d\n",rett.colore);
	printf("Peso: %.3f\n",rett.peso);
	printf("Coordinate vertici opposti: (%d,%d), (%d,%d)\n",
			rett.bottomleft.x,rett.bottomleft.y,
			rett.topright.x,rett.topright.y
	);
	printf("Area: %d\n",area(rett));
}

int main(void)
{
	struct rettangolocoloratoepesato r;
	struct punto p,q;

	p.x = 5;
	p.y = 7;
	q.x = 4;
	q.y = 8;
	q = sommapunti(p,q);
	r.colore = 2;
	r.peso = 4.5;
	r.bottomleft = p;
	r.topright = q;
	stamparettangolo(r);
}
