/* bubble.c */
#include <stdio.h>

#define DIM		10

int bubble(int [], int, FILE *);  /* prototipo di bubble */ 

int main(void)
{
	int i, nswap, num[DIM];
	FILE *fr = fopen("numeri.txt","r");
	FILE *fw = fopen("ordinati.txt","w");

	/* leggo DIM numeri dal file */
	for(i = 0; i < DIM; i++)
		fscanf(fr,"%d",&num[i]);
	for(i = 0; i < DIM; i++)
		fprintf(fw,"%d ",num[i]);
	fprintf(fw,"\n----------------------\n");

	/* li ordino con bubblesort */
	nswap = bubble(num,DIM,fw);

	/* li stampo sul file */
	fprintf(fw,"\n----------------------\n");
	for(i = 0; i < DIM; i++)
		fprintf(fw,"%d ",num[i]);
	fprintf(fw,"\n");
	fprintf(fw,"Numero scambi:%d\n",nswap);

}

/* bubble ordina i primi n elementi
   dell'array di interi a[],
   usando bubblesort.
*/
int bubble(int a[], int n, FILE *fw)
{
	int i,j,k,tmp,nswap = 0;

	for(i = 0; i < n - 1; i++) {
		for(j = n - 1; j > i; j--) {
			for(k = 0; k < j-1; k++)
				fprintf(fw,"%d%c",a[k],k == i-1 ? '|':' ');
			if(a[j-1] > a[j]) {
				tmp = a[j-1];
				a[j-1] = a[j];
				a[j] = tmp;	
				fprintf(fw,"%d*%d ",a[j-1],a[j]);
				nswap++;
			} else
				fprintf(fw,"%d %d ",a[j-1],a[j]);
			for(k = j+1; k < DIM; k++)
				fprintf(fw,"%d ",a[k]);
			fprintf(fw,"\n");
		}
		fprintf(fw,"\n");
	}
	return nswap;
}
